> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# List vcards by org

GET https://api-sandbox.payabli.com/api/Query/vcards/org/{orgId}

Retrieve a list of vcards (virtual credit cards) issued for an organization. Use filters to limit results. Include the `exportFormat` query parameter to return the results as a file instead of a JSON response.

Reference: https://docs.payabli.com/developers/api-reference/query/get-list-of-virtual-cards-for-organization

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /Query/vcards/org/{orgId}:
    get:
      operationId: ListVcardsOrg
      summary: Get list of virtual cards for an organization
      description: >-
        Retrieve a list of vcards (virtual credit cards) issued for an
        organization. Use filters to limit results. Include the `exportFormat`
        query parameter to return the results as a file instead of a JSON
        response.
      tags:
        - Query
      parameters:
        - name: orgId
          in: path
          description: The numeric identifier for organization, assigned by Payabli.
          required: true
          schema:
            type: integer
        - name: exportFormat
          in: query
          description: >-
            Export format for file downloads. When specified, returns data as a
            file instead of JSON.
          required: false
          schema:
            $ref: '#/components/schemas/ExportFormat'
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            Max number of records to return for the query. Use `0` or negative
            value to return all records.
          required: false
          schema:
            type: integer
            default: 20
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query.

            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
            </Info>

            List of field names accepted:

              - `status` (eq, ne, ct, nct, sw, ew)
              - `createdAt` (gt, ge, lt, le, eq, ne)
              - `cardToken` (ct, nct, eq, ne)
              - `lastFour` (ct, nct, eq, ne)
              - `expirationDate` (ct, nct, eq, ne)
              - `payoutId` (eq, ne, gt, ge, lt, le)
              - `vendorId` (eq, ne, gt, ge, lt, le)
              - `miscData1` (ct, nct, eq, ne)
              - `miscData2` (ct, nct, eq, ne)
              - `currentUses` (gt, ge, lt, le, eq, ne)
              - `amount` (gt, ge, lt, le, eq, ne)
              - `balance` (gt, ge, lt, le, eq, ne)
              - `paypointLegal` (ne, eq, ct, nct)
              - `paypointDba` (ne, eq, ct, nct)
              - `orgName` (eq, ne, ct, nct, sw, ew)
              - `externalPaypointId` (ct, nct, eq, ne)
              - `paypointId` (eq, ne, gt, ge, lt, le)
              - `cardType` (eq, ne, gt, ge, lt, le)

            List of comparison accepted - enclosed between parentheses:

              - eq or empty => equal
              - gt => greater than
              - ge => greater or equal
              - lt => less than
              - le => less or equal
              - ne => not equal
              - ct => contains
              - nct => not contains
              - sw => starts with
              - ew => ends with
              - in => inside array separated by "|"
              - nin => not inside array separated by "|"
          required: false
          schema:
            type: object
            additionalProperties:
              type:
                - string
                - 'null'
        - name: sortBy
          in: query
          description: >-
            The field name to use for sorting results. Use `desc(field_name)` to
            sort descending by `field_name`, and use `asc(field_name)` to sort
            ascending by `field_name`.
          required: false
          schema:
            type: string
        - name: requestToken
          in: header
          description: >
            Long-lived API token sent in the `requestToken` header. See [API
            token authentication](/developers/api-tokens).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VCardQueryResponse'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    ExportFormat:
      type: string
      enum:
        - csv
        - xlsx
      description: |
        Export format for file downloads. When specified, returns data as a file
        instead of JSON.
      title: ExportFormat
    Totalpages:
      type: integer
      description: Total number of pages in response.
      title: Totalpages
    Totalrecords:
      type: integer
      description: Total number of records in response.
      title: Totalrecords
    PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    Pagesize:
      type: integer
      description: Number of records on each response page.
      title: Pagesize
    VCardSummary:
      type: object
      properties:
        totalPages:
          $ref: '#/components/schemas/Totalpages'
        totalRecords:
          $ref: '#/components/schemas/Totalrecords'
        totalAmount:
          type: number
          format: double
          description: Total amount for the records.
        totalNetAmount:
          type: number
          format: double
          description: Total net amount for the records.
        totalactive:
          type: integer
          description: Total number of active vCards.
        totalamountactive:
          type: number
          format: double
          description: Total amount of active vCards.
        totalbalanceactive:
          type: number
          format: double
          description: Total balance of active vCards.
        pageidentifier:
          $ref: '#/components/schemas/PageIdentifier'
        pageSize:
          $ref: '#/components/schemas/Pagesize'
      required:
        - totalPages
        - totalRecords
        - totalAmount
        - totalactive
        - totalamountactive
        - totalbalanceactive
      title: VCardSummary
    VCardCardType:
      type: integer
      description: |
        The type of virtual card:

        - Single-use virtual card: `0`
        - Ghost card: `2`
      title: VCardCardType
    CreatedAt:
      type: string
      format: date-time
      description: Timestamp of when record was created, in UTC.
      title: CreatedAt
    LastModified:
      type: string
      format: date-time
      description: Timestamp of when record was last updated, in UTC.
      title: LastModified
    VendorNumber:
      type: string
      description: >
        Custom number identifying the vendor. Must be unique in paypoint. Can't
        be

        blank.
      title: VendorNumber
    Ein:
      type: string
      description: Business EIN or tax ID. This value is masked in API responses.
      title: Ein
    Email:
      type: string
      format: email
      description: Email address.
      title: Email
    Mcc:
      type: string
      description: >
        Business Merchant Category Code (MCC).

        [This
        resource](https://github.com/greggles/mcc-codes/blob/main/mcc_codes.csv)

        lists MCC codes.
      title: Mcc
    LocationCode:
      type: string
      description: A location code used to identify the vendor's location.
      title: LocationCode
    AdditionalDataString:
      type: string
      description: >
        Custom dictionary of key:value pairs. You can use this field to store
        any

        data related to the object or for your system. Example usage:


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalDataString
    Contacts:
      type: object
      properties:
        contactEmail:
          $ref: '#/components/schemas/Email'
          description: Contact email address.
        contactName:
          type: string
          description: Contact name.
        contactPhone:
          type: string
          description: Contact phone number.
        contactTitle:
          type: string
          description: Contact title.
        additionalData:
          $ref: '#/components/schemas/AdditionalDataString'
      title: Contacts
    AccountId:
      type: string
      description: Custom identifier for payment connector.
      title: AccountId
    BankName:
      type: string
      description: Name of bank for account.
      title: BankName
    RoutingAccount:
      type: string
      description: Routing number of bank account.
      title: RoutingAccount
    AccountNumber:
      type: string
      description: >-
        Account number for bank account. This value is returned masked in
        responses.
      title: AccountNumber
    TypeAccount:
      type: string
      enum:
        - Checking
        - Savings
      description: 'Type of bank account: Checking or Savings.'
      title: TypeAccount
    BankAccountHolderName:
      type: string
      description: The accountholder's name.
      title: BankAccountHolderName
    BankAccountHolderType:
      type: string
      enum:
        - Personal
        - Business
      description: Describes whether the bank is a personal or business account.
      title: BankAccountHolderType
    BillingDataResponse:
      type: object
      properties:
        id:
          type: integer
          description: The bank's ID in Payabli.
        accountId:
          $ref: '#/components/schemas/AccountId'
          description: >-
            An identifier for the bank account. If not provided during creation
            or update, the system generates one in the format
            `acct-{first_digit}xxxxx{last_4_digits}` based on the account
            number. If a duplicate exists within the same service at the
            paypoint, a numeric suffix is appended, such as `-2`. This value is
            also used as the identifier for the bank account's associated
            payment connector.
        nickname:
          type: string
        bankName:
          $ref: '#/components/schemas/BankName'
        routingAccount:
          $ref: '#/components/schemas/RoutingAccount'
        accountNumber:
          $ref: '#/components/schemas/AccountNumber'
        typeAccount:
          $ref: '#/components/schemas/TypeAccount'
        bankAccountHolderName:
          $ref: '#/components/schemas/BankAccountHolderName'
        bankAccountHolderType:
          $ref: '#/components/schemas/BankAccountHolderType'
        bankAccountFunction:
          type: integer
          description: >-
            Describes whether the bank account is used for deposits or
            withdrawals in Payabli:
              - `0`: Deposit
              - `1`: Withdrawal
              - `2`: Deposit and withdrawal
        verified:
          type: boolean
        status:
          type: integer
        services:
          type: array
          items:
            description: Any type
        default:
          type: boolean
      required:
        - id
        - nickname
        - bankName
        - routingAccount
        - accountNumber
        - typeAccount
        - bankAccountHolderName
        - bankAccountHolderType
        - bankAccountFunction
        - verified
        - status
        - services
        - default
      title: BillingDataResponse
    Vendorstatus:
      type: integer
      description: |
        Vendor's status. Allowed values:

        - `0` Inactive
        - `1` Active
        - `-99` Deleted
      title: Vendorstatus
    EnrollmentStatus:
      type: string
      description: Enrollment status of vendor in payables program.
      title: EnrollmentStatus
    VendorSummary:
      type: object
      properties:
        ActiveBills:
          type: integer
        PendingBills:
          type: integer
        InTransitBills:
          type: integer
        PaidBills:
          type: integer
        OverdueBills:
          type: integer
        ApprovedBills:
          type: integer
        DisapprovedBills:
          type: integer
        TotalBills:
          type: integer
        ActiveBillsAmount:
          type: number
          format: double
        PendingBillsAmount:
          type: number
          format: double
        InTransitBillsAmount:
          type: number
          format: double
        PaidBillsAmount:
          type: number
          format: double
        OverdueBillsAmount:
          type: number
          format: double
        ApprovedBillsAmount:
          type: number
          format: double
        DisapprovedBillsAmount:
          type: number
          format: double
        TotalBillsAmount:
          type: number
          format: double
      title: VendorSummary
    Legalname:
      type: string
      description: Business legal name.
      title: Legalname
    Dbaname:
      type: string
      description: |
        The alternate or common name that this business is doing business under,
        usually referred to as a DBA name.
      title: Dbaname
    Entrypointfield:
      type: string
      description: The entrypoint identifier.
      title: Entrypointfield
    OrgParentName:
      type: string
      description: The name of the parent organization.
      title: OrgParentName
    Remitaddress1:
      type: string
      description: >
        Remittance street address. Used for mailing paper checks. Required if
        any

        remittance address field is provided.
      title: Remitaddress1
    Remitaddress2:
      type: string
      description: |
        Remittance address additional line, such as a suite or unit number. Used
        for mailing paper checks. Always optional.
      title: Remitaddress2
    Remitcity:
      type: string
      description: |
        Remittance address city. Used for mailing paper checks. Required if any
        remittance address field is provided.
      title: Remitcity
    Remitstate:
      type: string
      description: |
        Remittance address state or province. Used for mailing paper checks.
        Required if any remittance address field is provided. Must be a valid
        US state or Canadian province abbreviation.
      title: Remitstate
    Remitzip:
      type: string
      description: |
        Remittance address ZIP or postal code. Used for mailing paper checks.
        Required if any remittance address field is provided. For US addresses,
        use five digits or ZIP+4 format.
      title: Remitzip
    Remitcountry:
      type: string
      description: |
        Remittance address country. Used for mailing paper checks. Must be `US`
        or `CA`. Defaults to `US` if not provided.
      title: Remitcountry
    PayeeName:
      type: string
      description: Alternative name used to receive paper check.
      title: PayeeName
    InternalReferenceId:
      type: integer
      format: int64
      description: An internal reference ID.
      title: InternalReferenceId
    AdditionalData:
      type: object
      additionalProperties:
        type: object
        additionalProperties:
          description: Any type
      description: >
        Custom dictionary of key:value pairs. You can use this field to store
        any

        data related to the object or for your system. If you are using

        [custom identifiers](/developers/developer-guides/entities-customers),

        pass those in this object. Max length for a value is 100 characters.

        Example usage:


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalData
    AssociatedVendor:
      type: object
      properties:
        VendorNumber:
          $ref: '#/components/schemas/VendorNumber'
        Name1:
          type: string
          description: Primary name for vendor.
        Name2:
          type: string
          description: Secondary name for vendor.
        EIN:
          $ref: '#/components/schemas/Ein'
        Phone:
          type: string
          description: Vendor's phone number.
        Email:
          $ref: '#/components/schemas/Email'
          description: Vendor's email address.
        Address1:
          type: string
          description: Vendor's address.
        Address2:
          type: string
          description: Additional line for vendor's address.
        City:
          type: string
          description: Vendor's city.
        State:
          type: string
          description: Vendor's state.
        Zip:
          type: string
          description: Vendor's postal code.
        Country:
          type: string
          description: Vendor's country.
        Mcc:
          $ref: '#/components/schemas/Mcc'
        LocationCode:
          $ref: '#/components/schemas/LocationCode'
        Contacts:
          type: array
          items:
            $ref: '#/components/schemas/Contacts'
          description: Array of objects describing the vendor's contacts.
        BillingData:
          $ref: '#/components/schemas/BillingDataResponse'
        PaymentMethod:
          type: string
        VendorStatus:
          $ref: '#/components/schemas/Vendorstatus'
        VendorId:
          type: integer
        EnrollmentStatus:
          $ref: '#/components/schemas/EnrollmentStatus'
        Summary:
          $ref: '#/components/schemas/VendorSummary'
        PaypointLegalname:
          $ref: '#/components/schemas/Legalname'
          description: The paypoint's legal name.
        PaypointDbaname:
          $ref: '#/components/schemas/Dbaname'
          description: The paypoint's DBA name.
        PaypointEntryname:
          $ref: '#/components/schemas/Entrypointfield'
          description: Paypoint's entryname.
        ParentOrgName:
          $ref: '#/components/schemas/OrgParentName'
        CreatedDate:
          $ref: '#/components/schemas/CreatedAt'
        LastUpdated:
          $ref: '#/components/schemas/LastModified'
        remitAddress1:
          $ref: '#/components/schemas/Remitaddress1'
        remitAddress2:
          $ref: '#/components/schemas/Remitaddress2'
        remitCity:
          $ref: '#/components/schemas/Remitcity'
        remitState:
          $ref: '#/components/schemas/Remitstate'
        remitZip:
          $ref: '#/components/schemas/Remitzip'
        remitCountry:
          $ref: '#/components/schemas/Remitcountry'
        payeeName1:
          $ref: '#/components/schemas/PayeeName'
        payeeName2:
          $ref: '#/components/schemas/PayeeName'
        customField1:
          type: string
        customField2:
          type: string
        customerVendorAccount:
          type: string
        InternalReferenceId:
          $ref: '#/components/schemas/InternalReferenceId'
        additionalData:
          $ref: '#/components/schemas/AdditionalData'
        externalPaypointID:
          type: string
      title: AssociatedVendor
    CustomerNumberNullable:
      type: string
      description: |
        User-provided unique identifier for the customer. This is typically the
        customer ID from your own system.
      title: CustomerNumberNullable
    CustomerStatus:
      type: integer
      description: |
        Customer Status. Possible values:

        - `-99` Deleted
        - `0` Inactive
        - `1` Active
        - `85` Locked (typically due to multiple failed login attempts)
      title: CustomerStatus
    Shippingaddress:
      type: string
      description: The shipping address.
      title: Shippingaddress
    Shippingaddressadditional:
      type: string
      description: Additional line for shipping address.
      title: Shippingaddressadditional
    Shippingcity:
      type: string
      description: Shipping city.
      title: Shippingcity
    Shippingstate:
      type: string
      description: Shipping state or province.
      title: Shippingstate
    Shippingzip:
      type: string
      description: |
        Shipping ZIP code. For Pay In functions, this field supports 5-digit
        and 9-digit ZIP codes and alphanumeric Canadian postal codes. For
        example: `37615-1234` or `37615`.
      title: Shippingzip
    Shippingcountry:
      type: string
      description: Shipping address country.
      title: Shippingcountry
    Timezone:
      type: integer
      description: Timezone, in UTC offset. For example, -5 is Eastern time.
      title: Timezone
    Identifierfields:
      type: array
      items:
        type: string
      description: >-
        List of fields acting as customer identifiers, to be used instead of
        CustomerNumber.
      title: Identifierfields
    CustomerData:
      type: object
      properties:
        customerNumber:
          $ref: '#/components/schemas/CustomerNumberNullable'
        customerUsername:
          type: string
          description: Customer username for customer portal
        customerPsw:
          type: string
          description: Customer password for customer portal
        customerStatus:
          $ref: '#/components/schemas/CustomerStatus'
        company:
          type: string
          description: Company name
        firstname:
          type: string
          description: Customer first name
        lastname:
          type: string
          description: Customer last name
        phone:
          type: string
          description: >-
            Customer phone number. Payabli normalizes this value when it's
            stored. For example, `(555) 555-0100` is stored as `+15555550100`.
        email:
          $ref: '#/components/schemas/Email'
          description: Customer email address.
        address:
          type: string
          description: Customer address
        address1:
          type: string
          description: Additional customer address
        city:
          type: string
          description: Customer city
        state:
          type: string
          description: Customer State
        zip:
          type: string
          description: Customer postal code
        country:
          type: string
          description: >-
            Customer country in ISO-3166-1 alpha 2 format. See
            https://en.wikipedia.org/wiki/ISO_3166-1 for reference.
        shippingAddress:
          $ref: '#/components/schemas/Shippingaddress'
        shippingAddress1:
          $ref: '#/components/schemas/Shippingaddressadditional'
        shippingCity:
          $ref: '#/components/schemas/Shippingcity'
        shippingState:
          $ref: '#/components/schemas/Shippingstate'
        shippingZip:
          $ref: '#/components/schemas/Shippingzip'
        shippingCountry:
          $ref: '#/components/schemas/Shippingcountry'
        balance:
          type: number
          format: double
          description: Customer balance.
        timeZone:
          $ref: '#/components/schemas/Timezone'
        additionalFields:
          type: object
          additionalProperties:
            type: string
          description: Additional Custom fields in format "key":"value".
        identifierFields:
          $ref: '#/components/schemas/Identifierfields'
        createdAt:
          $ref: '#/components/schemas/CreatedAt'
      description: Data about a single customer.
      title: CustomerData
    ExternalPaypointId:
      type: string
      description: |
        A custom identifier for the paypoint, if applicable.
      title: ExternalPaypointId
    VCardRecord:
      type: object
      properties:
        vcardSent:
          type: boolean
          description: When `true`, the vCard has been sent.
        cardType:
          $ref: '#/components/schemas/VCardCardType'
        cardToken:
          type: string
        cardNumber:
          type: string
          description: The vCard number.
        cvc:
          type: string
          description: The vCard CVC number.
        expirationDate:
          type: string
          description: >-
            Expiration date in format YYYY-MM-DD. The minimum time to expire is
            3 months, maximum is 3 years. If not provided, the default is 6
            months.
        status:
          type: string
        amount:
          type: number
          format: double
          description: The vCard amount.
        currentBalance:
          type: number
          format: double
          description: The vCard's current balance.
        expenseLimit:
          type: number
          format: double
        expenseLimitPeriod:
          type: string
        maxNumberOfUses:
          type: integer
        currentNumberOfUses:
          type: integer
        exactAmount:
          type: boolean
        mcc:
          type: string
          description: MCC assigned to vCard.
        tcc:
          type: string
          description: TCC assigned to vCard.
        misc1:
          type: string
          description: Custom field 1.
        misc2:
          type: string
          description: Custom field 2.
        dateCreated:
          $ref: '#/components/schemas/CreatedAt'
        dateModified:
          $ref: '#/components/schemas/LastModified'
        associatedVendor:
          $ref: '#/components/schemas/AssociatedVendor'
        associatedCustomer:
          $ref: '#/components/schemas/CustomerData'
        ParentOrgName:
          $ref: '#/components/schemas/OrgParentName'
        PaypointDbaname:
          $ref: '#/components/schemas/Dbaname'
          description: The paypoint's DBA name.
        PaypointLegalname:
          $ref: '#/components/schemas/Legalname'
          description: The paypoint's legal name.
        PaypointEntryname:
          $ref: '#/components/schemas/Entrypointfield'
          description: The paypoint's entry name (entrypoint).
        externalPaypointID:
          $ref: '#/components/schemas/ExternalPaypointId'
        paypointId:
          type: integer
          description: The paypoint's unique identifier.
      title: VCardRecord
    VCardQueryResponse:
      type: object
      properties:
        Summary:
          $ref: '#/components/schemas/VCardSummary'
        Records:
          type: array
          items:
            $ref: '#/components/schemas/VCardRecord'
      title: VCardQueryResponse
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken
      description: >
        Long-lived API token sent in the `requestToken` header. See [API token
        authentication](/developers/api-tokens).
    BearerAuth:
      type: http
      scheme: bearer
      description: >
        OAuth2 Bearer access token from the client-credentials flow. See [OAuth
        authentication](/developers/oauth-authentication).

```

## Examples



**Response**

```json
{
  "Summary": {
    "totalPages": 1,
    "totalRecords": 5,
    "totalAmount": 2500,
    "totalactive": 5,
    "totalamountactive": 2500,
    "totalbalanceactive": 1875.25,
    "totalNetAmount": 0,
    "pageidentifier": "XXXXXXXXXXXXXX",
    "pageSize": 20
  },
  "Records": [
    {
      "vcardSent": true,
      "cardType": 0,
      "cardToken": "vcrd_5Ty8NrBzXjKuqHm9DwElfP",
      "cardNumber": "44XX XXXX XXXX 1234",
      "cvc": "XXX",
      "expirationDate": "2025-12",
      "status": "Active",
      "amount": 500,
      "currentBalance": 375.25,
      "expenseLimit": 100,
      "expenseLimitPeriod": "monthly",
      "maxNumberOfUses": 10,
      "currentNumberOfUses": 3,
      "exactAmount": false,
      "mcc": "5812",
      "tcc": "T01",
      "misc1": "Invoice #12345",
      "misc2": "Project: Office Supplies",
      "dateCreated": "2023-01-15T09:30:00Z",
      "dateModified": "2023-02-20T14:15:22Z",
      "associatedVendor": {
        "VendorNumber": "VEN-123",
        "Name1": "Office Supply Co.",
        "EIN": "XXXXX6789",
        "Email": "billing@officesupply.example.com",
        "VendorId": 456
      },
      "associatedCustomer": {
        "firstname": "Acme",
        "lastname": "Corporation"
      },
      "ParentOrgName": "SupplyPro",
      "PaypointDbaname": "Global Factory LLC",
      "PaypointLegalname": "Global Factory LLC",
      "PaypointEntryname": "4872acb376a",
      "externalPaypointID": "pay-10",
      "paypointId": 3040
    }
  ]
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.query.listVcardsOrg(123, {
        fromRecord: 251,
        limitRecord: 0,
        sortBy: "desc(field_name)",
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.query.list_vcards_org(
    org_id=123,
    from_record=251,
    limit_record=0,
    sort_by="desc(field_name)",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.query.requests.ListVcardsOrgRequest;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.query().listVcardsOrg(
            123,
            ListVcardsOrgRequest
                .builder()
                .fromRecord(251)
                .limitRecord(0)
                .sortBy("desc(field_name)")
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.query.list_vcards_org(
  org_id: 123,
  from_record: 251,
  limit_record: 0,
  sort_by: "desc(field_name)"
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Query.ListVcardsOrgAsync(
            123,
            new ListVcardsOrgRequest {
                FromRecord = 251,
                LimitRecord = 0,
                SortBy = "desc(field_name)"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ListVcardsOrgRequest{
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            0,
        ),
        SortBy: payabli.String(
            "desc(field_name)",
        ),
    }
    client.Query.ListVcardsOrg(
        context.TODO(),
        123,
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Query\Requests\ListVcardsOrgRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->query->listVcardsOrg(
    123,
    new ListVcardsOrgRequest([
        'fromRecord' => 251,
        'limitRecord' => 0,
        'sortBy' => 'desc(field_name)',
    ]),
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/vcards/org/123?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```